<?php

namespace NextBricks;

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    if (isset($_POST['bc_active_tab'])) {
        update_option('bc_active_tab', sanitize_text_field($_POST['bc_active_tab']));
    }
}
function save_checkbox_option($option_name, $checkbox_name) {
    if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['bc-dashboard-form'])) {
        $checkbox_value = isset($_POST[$checkbox_name]) ? 'true' : 'false';
        update_option($option_name, $checkbox_value);
    }

    $checkbox_value = get_option($option_name, 'false');
    return $checkbox_value;
}
function save_asset_checkbox_option($option_name, $checkbox_name) {
    if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['bc-dashboard-form'])) {
        $checkbox_value = isset($_POST[$checkbox_name]) ? 'true' : 'false';
        update_option($option_name, $checkbox_value);
    }

    $checkbox_value = get_option($option_name, 'true');
    return $checkbox_value;
}
function save_logo_ui_option($option_name, $select_name) {
    if ($_SERVER['REQUEST_METHOD'] === 'POST') {
        if (isset($_POST[$select_name])) {
            $selected_value = sanitize_text_field($_POST[$select_name]);
            update_option($option_name, $selected_value);
        }
    }

    $selected_value = get_option($option_name);
    return $selected_value;
}
function save_color_ui_animator_option($option_name, $select_name) {
    if ($_SERVER['REQUEST_METHOD'] === 'POST') {
        if (isset($_POST[$select_name])) {
            $selected_value = sanitize_text_field($_POST[$select_name]);
            update_option($option_name, $selected_value);
        }
    }

    $selected_value = get_option($option_name, '#0096FE');
    return $selected_value;
}
function save_shortcut_animator_option($option_name, $select_name) {
    if ($_SERVER['REQUEST_METHOD'] === 'POST') {
        if (isset($_POST[$select_name])) {
            $selected_value = sanitize_text_field($_POST[$select_name]);
            update_option($option_name, $selected_value);
        }
    }

    $selected_value = get_option($option_name);
    return $selected_value;
}
//Texts
$bc_toggle_all_texts_enable = save_checkbox_option('bc_toggle_all_texts_enable', 'panelbctogglealltexts');

$bc_blur_reading_enable = save_checkbox_option('bc_blur_reading_enable', 'panelbcblurreading');
$bc_blur_reveal_enable = save_checkbox_option('bc_blur_reveal_enable', 'panelbcblurreveal');
$bc_scroll_cascading_enable = save_checkbox_option('bc_scroll_cascading_enable', 'panelbcscrollcascading');
$bc_unfold_hover_enable = save_checkbox_option('bc_unfold_hover_enable', 'panelbcunfoldhover');
$bc_typed_enable = save_checkbox_option('bc_typed_enable', 'panelbctyped');
$bc_counter_enable = save_checkbox_option('bc_counter_enable', 'panelbccounter');
$bc_twist_title_enable = save_checkbox_option('bc_twist_title_enable', 'panelbctwisttitle');
$bc_circular_title_enable = save_checkbox_option('bc_circular_title_enable', 'panelbccirculartitle');
$bc_letter_launcher_enable = save_checkbox_option('bc_letter_launcher_enable', 'panelbcletterlauncher');
$bc_blade_title_enable = save_checkbox_option('bc_blade_title_enable', 'panelbcbladetitle');
$bc_swap_title_enable = save_checkbox_option('bc_swap_title_enable', 'panelbcswaptitle');
$bc_highlight_title_enable = save_checkbox_option('bc_highlight_title_enable', 'panelbchighlighttitle');
$bc_underline_title_enable = save_checkbox_option('bc_underline_title_enable', 'panelbcunderlinetitle');
$bc_svg_title_enable = save_checkbox_option('bc_svg_title_enable', 'panelbcsvgtitle');
$bc_title_images_enable = save_checkbox_option('bc_title_images_enable', 'panelbctitleimages');
$bc_scroll_reading_enable = save_checkbox_option('bc_scroll_reading_enable', 'panelbcscrollreading');
$bc_random_letters_enable = save_checkbox_option('bc_random_letters_enable', 'panelbcrandomletters');
$bc_scribble_title_enable = save_checkbox_option('bc_scribble_title_enable', 'panelbcscribbletitle');
$bc_3d_swap_title_enable = save_checkbox_option('bc_3d_swap_title_enable', 'panelbc3dswaptitle');
$bc_blended_title_enable = save_checkbox_option('bc_blended_title_enable', 'panelbcblendedtitle');
$bc_decode_hover_enable = save_checkbox_option('bc_decode_hover_enable', 'panelbcdecodehover');
$bc_decode_reveal_enable = save_checkbox_option('bc_decode_reveal_enable', 'panelbcdecodereveal');
$bc_unfold_reveal_enable = save_checkbox_option('bc_unfold_reveal_enable', 'panelbcunfoldreveal');
$bc_mask_hover_enable = save_checkbox_option('bc_mask_hover_enable', 'panelbcmaskhover');
$bc_exchange_title_enable = save_checkbox_option('bc_exchange_title_enable', 'panelbcexchangetitle');
$bc_scroll_gradient_enable = save_checkbox_option('bc_scroll_gradient_enable', 'panelbcscrollgradient');
$bc_fluid_gradient_enable = save_checkbox_option('bc_fluid_gradient_enable', 'panelbcfluidgradient');
$bc_mousefill_title_enable = save_checkbox_option('bc_mousefill_title_enable', 'panelbcmousefilltitle');
$next_counter_v2_enable = save_checkbox_option('next_counter_v2_enable', 'panelnextcounterv2');
$next_countdown_enable = save_checkbox_option('next_countdown_enable', 'panelnextcountdown');
$next_text_shimmer_enable = save_checkbox_option('next_text_shimmer_enable', 'panelnexttextshimmer');
$next_dynamic_copyright_enable = save_checkbox_option('next_dynamic_copyright_enable', 'panelnextdynamiccopyright');
$next_proximity_hover_enable = save_checkbox_option('next_proximity_hover_enable', 'panelnextproximityhover');
$next_swap_reading_enable = save_checkbox_option('next_swap_reading_enable', 'panelnextswapreading');
$next_variable_font_hover_enable = save_checkbox_option('next_variable_font_hover_enable', 'panelnextvariablefonthover');
$next_shading_lines_title_enable = save_checkbox_option('next_shading_lines_title_enable', 'panelnextshadinglinestitle');
$next_exchange_title_v2_enable = save_checkbox_option('next_exchange_title_v2_enable', 'panelnextexchangetitlev2');
$next_exchange_title_v3_enable = save_checkbox_option('next_exchange_title_v3_enable', 'panelnextexchangetitlev3');
$next_highlight_enable = save_checkbox_option('next_highlight_enable', 'panelnexthighlight'); /*v2*/
$next_link_preview_enable = save_checkbox_option('next_link_preview_enable', 'panelnextlinkpreview'); /*v2*/
$next_read_more_enable = save_checkbox_option('next_read_more_enable', 'panelnextreadmore'); /*v2*/

//Buttons
$bc_toggle_all_buttons_enable = save_checkbox_option('bc_toggle_all_buttons_enable', 'panelbctoggleallbuttons');

$bc_anyside_button_enable = save_checkbox_option('bc_anyside_button_enable', 'panelbcanysidebutton');
$bc_arrow_button_enable = save_checkbox_option('bc_arrow_button_enable', 'panelbcarrowbutton');
$bc_crystal_button_enable = save_checkbox_option('bc_crystal_button_enable', 'panelbccrystalbutton');
$bc_layer_button_enable = save_checkbox_option('bc_layer_button_enable', 'panelbclayerbutton');
$bc_ripple_button_enable = save_checkbox_option('bc_ripple_button_enable', 'panelbcripplebutton');
$bc_marquee_button_enable = save_checkbox_option('bc_marquee_button_enable', 'panelbcmarqueebutton');
$bc_microbox_button_enable = save_checkbox_option('bc_microbox_button_enable', 'panelbcmicroboxbutton');
$bc_glowing_button_enable = save_checkbox_option('bc_glowing_button_enable', 'panelbcglowingbutton');
$bc_mask_button_enable = save_checkbox_option('bc_mask_button_enable', 'panelbcmaskbutton');
$bc_prism_button_enable = save_checkbox_option('bc_prism_button_enable', 'panelbcprismbutton');
$bc_neumorphic_button_enable = save_checkbox_option('bc_neumorphic_button_enable', 'panelbcneumorphicbutton');
$bc_split_button_enable = save_checkbox_option('bc_split_button_enable', 'panelbcsplitbutton');
$next_arrow_icon_enable = save_checkbox_option('next_arrow_icon_enable', 'panelnextarrowicon');
$next_ripple_button_v2_enable = save_checkbox_option('next_ripple_button_v2_enable', 'panelnextripplebuttonv2');
$next_marquee_button_v2_enable = save_checkbox_option('next_marquee_button_v2_enable', 'panelnextmarqueebuttonv2');
$next_ripple_button_v3_enable = save_checkbox_option('next_ripple_button_v3_enable', 'panelnextripplebuttonv3');
$next_shiny_button_enable = save_checkbox_option('next_shiny_button_enable', 'panelnextshinybutton');
$next_arrow_button_v2_enable = save_checkbox_option('next_arrow_button_v2_enable', 'panelnextarrowbuttonv2');
$next_arrow_button_v3_enable = save_checkbox_option('next_arrow_button_v3_enable', 'panelnextarrowbuttonv3');
$next_rainbow_button_enable = save_checkbox_option('next_rainbow_button_enable', 'panelnextrainbowbutton');
$next_arrow_button_v4_enable = save_checkbox_option('next_arrow_button_v4_enable', 'panelnextarrowbuttonv4'); /*v2*/
$next_arrow_button_v5_enable = save_checkbox_option('next_arrow_button_v5_enable', 'panelnextarrowbuttonv5'); /*v2*/
$next_arrow_button_v6_enable = save_checkbox_option('next_arrow_button_v6_enable', 'panelnextarrowbuttonv6'); /*v2*/
$next_arrow_button_v7_enable = save_checkbox_option('next_arrow_button_v7_enable', 'panelnextarrowbuttonv7'); /*v2*/
$next_arrow_button_v8_enable = save_checkbox_option('next_arrow_button_v8_enable', 'panelnextarrowbuttonv8'); /*v2*/
$next_blurry_button_enable = save_checkbox_option('next_blurry_button_enable', 'panelnextblurrybutton'); /*v2*/
$next_bubbles_button_enable = save_checkbox_option('next_bubbles_button_enable', 'panelnextbubblesbutton'); /*v2*/
$next_dot_button_enable = save_checkbox_option('next_dot_button_enable', 'panelnextdotbutton'); /*v2*/
$next_dot_button_v2_enable = save_checkbox_option('next_dot_button_v2_enable', 'panelnextdotbuttonv2'); /*v2*/
$next_dot_button_v3_enable = save_checkbox_option('next_dot_button_v3_enable', 'panelnextdotbuttonv3'); /*v2*/
$next_flipflop_button_enable = save_checkbox_option('next_flipflop_button_enable', 'panelnextflipflopbutton'); /*v2*/
$next_flipflop_button_v2_enable = save_checkbox_option('next_flipflop_button_v2_enable', 'panelnextflipflopbuttonv2'); /*v2*/
$next_flipflop_button_v3_enable = save_checkbox_option('next_flipflop_button_v3_enable', 'panelnextflipflopbuttonv3'); /*v2*/
$next_nudge_button_enable = save_checkbox_option('next_nudge_button_enable', 'panelnextnudgebutton'); /*v2*/
$next_pixels_button_enable = save_checkbox_option('next_pixels_button_enable', 'panelnextpixelsbutton'); /*v2*/
$next_prism_button_v2_enable = save_checkbox_option('next_prism_button_v2_enable', 'panelnextprismbuttonv2'); /*v2*/
$next_reel_button_enable = save_checkbox_option('next_reel_button_enable', 'panelnextreelbutton'); /*v2*/
$next_ripple_button_v4_enable = save_checkbox_option('next_ripple_button_v4_enable', 'panelnextripplebuttonv4'); /*v2*/
$next_ripple_button_v5_enable = save_checkbox_option('next_ripple_button_v5_enable', 'panelnextripplebuttonv5'); /*v2*/
$next_ripple_button_v6_enable = save_checkbox_option('next_ripple_button_v6_enable', 'panelnextripplebuttonv6'); /*v2*/
$next_ripple_button_v7_enable = save_checkbox_option('next_ripple_button_v7_enable', 'panelnextripplebuttonv7'); /*v2*/
$next_squeezy_radius_button_enable = save_checkbox_option('next_squeezy_radius_button_enable', 'panelnextsqueezyradiusbutton'); /*v2*/
$next_stretchy_button_enable = save_checkbox_option('next_stretchy_button_enable', 'panelnextstretchybutton'); /*v2*/
$next_strip_button_enable = save_checkbox_option('next_strip_button_enable', 'panelnextstripbutton'); /*v2*/
$next_stripes_button_enable = save_checkbox_option('next_stripes_button_enable', 'panelnextstripesbutton'); /*v2*/

//Menus
$bc_toggle_all_menus_enable = save_checkbox_option('bc_toggle_all_menus_enable', 'panelbctoggleallmenus');

$bc_stickynav_menu_enable = save_checkbox_option('bc_sticky_nav_enable', 'panelbcstickynavmenu');
$bc_offcanvas_menu_enable = save_checkbox_option('bc_offcanvas_menu_enable', 'panelbcoffcanvasmenu');
$bc_overlay_menu_enable = save_checkbox_option('bc_overlay_menu_enable', 'panelbcoverlaymenu');
$bc_morphing_menu_enable = save_checkbox_option('bc_morphing_menu_enable', 'panelbcmorphingmenu');
$bc_core_burguer_enable = save_checkbox_option('bc_core_burguer_enable', 'panelbccoreburguer');
$bc_stripe_megamenu_enable = save_checkbox_option('bc_stripe_megamenu_enable', 'panelbcstripemegamenu');
$bc_drawer_enable = save_checkbox_option('bc_drawer_enable', 'panelbcdrawer');
$bc_expanding_menu_enable = save_checkbox_option('bc_expanding_menu_enable', 'panelbcexpandingmenu');
$bc_simple_menu_enable = save_checkbox_option('bc_simple_menu_enable', 'panelbcsimplemenu');
$bc_multioffcanvas_enable = save_checkbox_option('bc_multioffcanvas_enable', 'panelbcmultioffcanvas');
$next_dropdown_enable = save_checkbox_option('next_dropdown_enable', 'panelnextdropdown');
$next_dropdown_mega_menu_enable = save_checkbox_option('next_dropdown_mega_menu_enable', 'panelnextdropdownmegamenu');
$next_circular_menu_enable = save_checkbox_option('next_circular_menu_enable', 'panelnextcircularmenu');
$next_cta_nav_enable = save_checkbox_option('next_cta_nav_enable', 'panelnextctanav');
$next_dock_menu_enable = save_checkbox_option('next_dock_menu_enable', 'panelnextdockmenu');
$next_dynamic_island_enable = save_checkbox_option('next_dynamic_island_enable', 'panelnextdynamicisland');
$next_focus_nav_enable = save_checkbox_option('next_focus_nav_enable', 'panelnextfocusnav');
$next_expanding_nav_enable = save_checkbox_option('next_expanding_nav_enable', 'panelnextexpandingnav');
$next_gooey_nav_enable = save_checkbox_option('next_gooey_nav_enable', 'panelnextgooeynav');

//Sliders
$bc_toggle_all_sliders_enable = save_checkbox_option('bc_toggle_all_sliders_enable', 'panelbctoggleallsliders');

$bc_core_slider_enable = save_checkbox_option('bc_core_slider_enable', 'panelbccoreslider');
$next_parallax_slider_enable = save_checkbox_option('next_parallax_slider_enable', 'panelnextparallaxslider');
$next_infinite_slider_enable = save_checkbox_option('next_infinite_slider_enable', 'panelnextinfiniteslider');
$next_stories_enable = save_checkbox_option('next_stories_enable', 'panelnextstories'); /*v2*/
$next_thumbnail_slider_enable = save_checkbox_option('next_thumbnail_slider_enable', 'panelnextthumbnailslider'); /*v2*/

//Backgrounds
$bc_toggle_all_backgrounds_enable = save_checkbox_option('bc_toggle_all_backgrounds_enable', 'panelbctoggleallbackgrounds');

$bc_grained_enable = save_checkbox_option('bc_grained_enable', 'panelbcgrained');
$bc_generatorism_enable = save_checkbox_option('bc_generatorism_enable', 'panelbcgeneratorism');
$bc_spotlight_enable = save_checkbox_option('bc_spotlight_enable', 'panelbcspotlight');
$bc_gradiently_enable = save_checkbox_option('bc_gradiently_enable', 'panelbcgradiently');
$next_spotlight_v2_enable = save_checkbox_option('next_spotlight_v2_enable', 'panelnextspotlightv2');
$next_physics_enable = save_checkbox_option('next_physics_enable', 'panelnextphysics');
$next_particles_enable = save_checkbox_option('next_particles_enable', 'panelnextparticles');
$bc_bubbles_enable = save_checkbox_option('bc_bubbles_enable', 'panelbcbubbles');
$next_border_beam_enable = save_checkbox_option('next_border_beam_enable', 'panelnextborderbeam');
$next_tiles_enable = save_checkbox_option('next_tiles_enable', 'panelnexttiles');
$next_meteors_enable = save_checkbox_option('next_meteors_enable', 'panelnextmeteors');
$next_fluids_enable = save_checkbox_option('next_fluids_enable', 'panelnextfluids');
$next_tiles_v2_enable = save_checkbox_option('next_tiles_v2_enable', 'panelnexttilesv2');
$next_interactive_lines_enable = save_checkbox_option('next_interactive_lines_enable', 'panelnextinteractivelines');
$next_figures_enable = save_checkbox_option('next_figures_enable', 'panelnextfigures'); /*v2*/
$next_interactive_lines_v2_enable = save_checkbox_option('next_interactive_lines_v2_enable', 'panelnextinteractivelinesv2'); /*v2*/
$next_interactive_lines_v3_enable = save_checkbox_option('next_interactive_lines_v3_enable', 'panelnextinteractivelinesv3'); /*v2*/
$next_interactive_lines_v4_enable = save_checkbox_option('next_interactive_lines_v4_enable', 'panelnextinteractivelinesv4'); /*v2*/
$next_iridescence_enable = save_checkbox_option('next_iridescence_enable', 'panelnextiridescence'); /*v2*/
$next_overlay_shadows_enable = save_checkbox_option('next_overlay_shadows_enable', 'panelnextoverlayshadows'); /*v2*/
$next_scrolling_background_enable = save_checkbox_option('next_scrolling_background_enable', 'panelnextscrollingbackground'); /*v2*/

//Cursors
$bc_toggle_all_cursors_enable = save_checkbox_option('bc_toggle_all_cursors_enable', 'panelbctoggleallcursors');

$bc_cursor_enable = save_checkbox_option('bc_cursor_enable', 'panelbccursor');
$next_designer_cursor_enable = save_checkbox_option('next_designer_cursor_enable', 'panelnextdesignercursor');
$next_cursor_slide_enable = save_checkbox_option('next_cursor_slide_enable', 'panelnextcursorslide');
$next_cursor_trail_enable = save_checkbox_option('next_cursor_trail_enable', 'panelnextcursortrail');
$next_mouse_parallax_enable = save_checkbox_option('next_mouse_parallax_enable', 'panelnextmouseparallax');
$next_crosshair_enable = save_checkbox_option('next_crosshair_enable', 'panelnextcrosshair'); /*v2*/

//Medias
$bc_toggle_all_medias_enable = save_checkbox_option('bc_toggle_all_medias_enable', 'panelbctoggleallmedias');

$bc_parallax_enable = save_checkbox_option('bc_parallax_enable', 'panelbcparallax');
$bc_beforeafter_image_enable = save_checkbox_option('bc_beforeafter_image_enable', 'panelbcbeforeafterimage');
$bc_zoom_lens_enable = save_checkbox_option('bc_zoom_lens_enable', 'panelbczoomlens');
$bc_video_sequence_enable = save_checkbox_option('bc_video_sequence_enable', 'panelbcvideosequence');
$bc_image_hotspots_enable = save_checkbox_option('bc_image_hotspots_enable', 'panelbcimagehotspots');
$bc_media_enable = save_checkbox_option('bc_media_enable', 'panelbcmedia');
$bc_image_reveal_enable = save_checkbox_option('bc_image_reveal_enable', 'panelbcimagereveal');
$next_image_accordion_enable = save_checkbox_option('next_image_accordion_enable', 'panelnextimageaccordion');
$next_beforeafter_image_v2_enable = save_checkbox_option('next_beforeafter_image_v2_enable', 'panelnextbeforeafterimagev2'); /*v2*/
$next_image_reveal_v2_enable = save_checkbox_option('next_image_reveal_v2_enable', 'panelnextimagerevealv2'); /*v2*/
$next_image_reveal_v3_enable = save_checkbox_option('next_image_reveal_v3_enable', 'panelnextimagerevealv3'); /*v2*/
$next_image_reveal_v4_enable = save_checkbox_option('next_image_reveal_v4_enable', 'panelnextimagerevealv4'); /*v2*/
$next_lightbox_enable = save_checkbox_option('next_lightbox_enable', 'panelnextlightbox'); /*v2*/
$next_scrolling_gallery_enable = save_checkbox_option('next_scrolling_gallery_enable', 'panelnextscrollinggallery'); /*v2*/

//Cores
$bc_toggle_all_cores_enable = save_checkbox_option('bc_toggle_all_cores_enable', 'panelbctoggleallcores');

$bc_scrollbar_enable = save_checkbox_option('bc_scrollbar_enable', 'panelbcscrollbar');
$bc_marquee_enable = save_checkbox_option('bc_marquee_enable', 'panelbcmarquee');
$bc_smooth_scroll_enable = save_checkbox_option('bc_smooth_scroll_enable', 'panelbcsmoothscroll');
$bc_back_to_top_enable = save_checkbox_option('bc_back_to_top_enable', 'panelbcbacktotop');
$bc_sharer_enable = save_checkbox_option('bc_sharer_enable', 'panelbcsharer');
$bc_tippy_enable = save_checkbox_option('bc_tippy_enable', 'panelbctippy');
$bc_glitchy_enable = save_checkbox_option('bc_glitchy_enable', 'panelbcglitchy');
$bc_dark_mode_enable = save_checkbox_option('bc_dark_mode_enable', 'panelbcdarkmode');
$bc_lottie_enable = save_checkbox_option('bc_lottie_enable', 'panelbclottie');
$bc_expander_enable = save_checkbox_option('bc_expander_enable', 'panelbcexpander');
$bc_clickandcopy_enable = save_checkbox_option('bc_clickandcopy_enable', 'panelbcclickandcopy');
$bc_3dhover_enable = save_checkbox_option('bc_3dhover_enable', 'panelbc3dhover');
$bc_core_tabs_enable = save_checkbox_option('bc_core_tabs_enable', 'panelbccoretabs');
$bc_divider_enable = save_checkbox_option('bc_divider_enable', 'panelbcdivider');
$bc_flipbox_enable = save_checkbox_option('bc_flipbox_enable', 'panelbcflipbox');
$bc_observer_enable = save_checkbox_option('bc_observer_enable', 'panelbcobserver');
$bc_codepen_enable = save_checkbox_option('bc_codepen_enable', 'panelbccodepen');
$bc_glowingcard_enable = save_checkbox_option('bc_glowingcard_enable', 'panelbcglowingcard');
$bc_spinner_enable = save_checkbox_option('bc_spinner_enable', 'panelbcspinner');
$next_lamp_enable = save_checkbox_option('next_lamp_enable', 'panelnextlamp');
$next_horizontal_scroll_enable = save_checkbox_option('next_horizontal_scroll_enable', 'panelnexthorizontalscroll');
$next_timeline_enable = save_checkbox_option('next_timeline_enable', 'panelnexttimeline');
$next_table_of_contents_enable = save_checkbox_option('next_table_of_contents_enable', 'panelnexttableofcontents');
$bc_infinite_title_enable = save_checkbox_option('bc_infinite_title_enable', 'panelbcinfinitetitle');
$next_inverted_corners_enable = save_checkbox_option('next_inverted_corners_enable', 'panelnextinvertedcorners');
$next_stacking_cards_enable = save_checkbox_option('next_stacking_cards_enable', 'panelnextstackingcards');
$next_qr_code_enable = save_checkbox_option('next_qr_code_enable', 'panelnextqrcode');
$next_cookies_enable = save_checkbox_option('next_cookies_enable', 'panelnextcookies');
$next_interactive_divider_enable = save_checkbox_option('next_interactive_divider_enable', 'panelnextinteractivedivider');
$next_progress_bar_enable = save_checkbox_option('next_progress_bar_enable', 'panelnextprogressbar');
$next_pixels_shimmer_card_enable = save_checkbox_option('next_pixels_shimmer_card_enable', 'panelnextpixelsshimmercard');
$next_progress_bar_v2_enable = save_checkbox_option('next_progress_bar_v2_enable', 'panelnextprogressbarv2');
$next_decode_card_enable = save_checkbox_option('next_decode_card_enable', 'panelnextdecodecard');
$next_distorsion_tabs_enable = save_checkbox_option('next_distorsion_tabs_enable', 'panelnextdistortionstabs');
$next_toolteam_enable = save_checkbox_option('next_toolteam_enable', 'panelnexttoolteam');
$next_toast_enable = save_checkbox_option('next_toast_enable', 'panelnexttoast');
$next_audio_player_enable = save_checkbox_option('next_audio_player_enable', 'panelnextaudioplayer'); /*v2*/
$next_looping_tabs_enable = save_checkbox_option('next_looping_tabs_enable', 'panelnextloopingtabs'); /*v2*/
$next_video_tabs_enable = save_checkbox_option('next_video_tabs_enable', 'panelnextvideotabs');
$next_sticky_footer_enable = save_checkbox_option('next_sticky_footer_enable', 'panelnextstickyfooter');
$next_site_loader_enable = save_checkbox_option('next_site_loader_enable', 'panelnextsiteloader'); /*v2*/

//Next UI
$bc_core_ui_enable = save_checkbox_option('bc_core_ui_enable', 'panelbccoreui');

$bc_core_ui_left_structure_enable = save_checkbox_option('bc_core_ui_left_structure_enable', 'panelbcleftstructure');
$bc_core_ui_logo = save_logo_ui_option('bc_core_ui_logo', 'panelbccoreuilogo');
$bc_core_ui_color = save_color_ui_animator_option('bc_core_ui_color', 'panelbccoreuicolor');
$bc_core_ui_link = save_logo_ui_option('bc_core_ui_link', 'panelbccoreuiurl');

//Animator
$bc_core_animator_enable = save_checkbox_option('bc_core_animator_enable', 'panelbccoreanimator');

$bc_core_animator_color = save_color_ui_animator_option('bc_core_animator_color', 'panelbccoreanimatorcolor');
$bc_core_animator_shortcut = save_shortcut_animator_option('bc_core_animator_shortcut', 'panelbccoreanimatorshortcut');

//Page Transitions
$bc_pagetransitions_enable = save_checkbox_option('bc_pagetransitions_enable', 'panelbcpagetransitions');

$bc_pagetransitions_color = save_color_ui_animator_option('bc_pagetransitions_color', 'panelbcpagetransitionscolor');
$bc_pagetransitions_shortcut = save_shortcut_animator_option('bc_pagetransitions_shortcut', 'panelbcpagetransitionsshortcut');
$bc_pagetransitions_customjs = save_shortcut_animator_option('bc_pagetransitions_customjs', 'panelbcpagetransitionscustomjs');

//Assets
$bc_gsap_enable = save_asset_checkbox_option('bc_gsap_enable', 'panelbcgsap');
$bc_scrolltrigger_enable = save_asset_checkbox_option('bc_scrolltrigger_enable', 'panelbcscrolltrigger');
$bc_splittext_enable = save_asset_checkbox_option('bc_splittext_enable', 'panelbcsplittext');
